All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::MaximumCaffe< T > Class Template Reference

`#include <maximumCaffe.hpp>`

## Public Member Functions

| MaximumCaffe ()
virtual | ~MaximumCaffe ()
virtual void | LayerSetUp (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Reshape (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual const char * | type () const
virtual void | Forward (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Forward_cpu (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Forward_gpu (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Backward_cpu (const std::vector< caffe::Blob< T > * > &top, const std::vector< bool > &propagate_down, const std::vector< caffe::Blob< T > * > &bottom)
virtual void | Backward_gpu (const std::vector< caffe::Blob< T > * > &top, const std::vector< bool > &propagate_down, const std::vector< caffe::Blob< T > * > &bottom)

## Constructor & Destructor Documentation

template<typename T >

op::MaximumCaffe< T >::MaximumCaffe | ( |  | ) |

explicit

template<typename T >

virtual op::MaximumCaffe< T >::~MaximumCaffe | ( |  | ) |

virtual

## Member Function Documentation

template<typename T >

virtual void op::MaximumCaffe< T >::Backward_cpu | ( | const std::vector< caffe::Blob< T > * > & | top,
|  | const std::vector< bool > & | propagate_down,
|  | const std::vector< caffe::Blob< T > * > & | bottom
| ) |  |

virtual

template<typename T >

virtual void op::MaximumCaffe< T >::Backward_gpu | ( | const std::vector< caffe::Blob< T > * > & | top,
|  | const std::vector< bool > & | propagate_down,
|  | const std::vector< caffe::Blob< T > * > & | bottom
| ) |  |

virtual

template<typename T >

virtual void op::MaximumCaffe< T >::Forward | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::MaximumCaffe< T >::Forward_cpu | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::MaximumCaffe< T >::Forward_gpu | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::MaximumCaffe< T >::LayerSetUp | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::MaximumCaffe< T >::Reshape | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual const char* op::MaximumCaffe< T >::type | ( |  | ) | const

inlinevirtual

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/net/maximumCaffe.hpp